Package io.dapr.v1

# Class DaprProtos.GetActorStateRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>
io.dapr.v1.DaprProtos.GetActorStateRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetActorStateRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.GetActorStateRequest

public static final class DaprProtos.GetActorStateRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder> implements DaprProtos.GetActorStateRequestOrBuilder

     GetActorStateRequest is the message to get key-value states from specific actor.

Protobuf type `dapr.proto.runtime.v1.GetActorStateRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.GetActorStateRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetActorStateRequest`
`build()`
`DaprProtos.GetActorStateRequest`
`buildPartial()`
`DaprProtos.GetActorStateRequest.Builder`
`clear()`
`DaprProtos.GetActorStateRequest.Builder`
`clearActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`DaprProtos.GetActorStateRequest.Builder`
`clearActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.GetActorStateRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.GetActorStateRequest.Builder`
`clearKey()`
`string key = 3;`
`DaprProtos.GetActorStateRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.GetActorStateRequest.Builder`
`clone()`
`String`
`getActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`com.google.protobuf.ByteString`
`getActorIdBytes()`
`string actor_id = 2 [json_name = "actorId"];`
`String`
`getActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getActorTypeBytes()`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.GetActorStateRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getKey()`
`string key = 3;`
`com.google.protobuf.ByteString`
`getKeyBytes()`
`string key = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.GetActorStateRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.GetActorStateRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.GetActorStateRequest.Builder`
`mergeFrom(DaprProtos.GetActorStateRequest other)`
`final DaprProtos.GetActorStateRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.GetActorStateRequest.Builder`
`setActorId(String value)`
`string actor_id = 2 [json_name = "actorId"];`
`DaprProtos.GetActorStateRequest.Builder`
`setActorIdBytes(com.google.protobuf.ByteString value)`
`string actor_id = 2 [json_name = "actorId"];`
`DaprProtos.GetActorStateRequest.Builder`
`setActorType(String value)`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.GetActorStateRequest.Builder`
`setActorTypeBytes(com.google.protobuf.ByteString value)`
`string actor_type = 1 [json_name = "actorType"];`
`DaprProtos.GetActorStateRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetActorStateRequest.Builder`
`setKey(String value)`
`string key = 3;`
`DaprProtos.GetActorStateRequest.Builder`
`setKeyBytes(com.google.protobuf.ByteString value)`
`string key = 3;`
`DaprProtos.GetActorStateRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.GetActorStateRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### clear

public DaprProtos.GetActorStateRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.GetActorStateRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.GetActorStateRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.GetActorStateRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.GetActorStateRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### setField

public DaprProtos.GetActorStateRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### clearField

public DaprProtos.GetActorStateRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### clearOneof

public DaprProtos.GetActorStateRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### setRepeatedField

public DaprProtos.GetActorStateRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### addRepeatedField

public DaprProtos.GetActorStateRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### mergeFrom

public DaprProtos.GetActorStateRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetActorStateRequest.Builder>`

### mergeFrom

public DaprProtos.GetActorStateRequest.Builder mergeFrom(DaprProtos.GetActorStateRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### mergeFrom

public DaprProtos.GetActorStateRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetActorStateRequest.Builder>`
Throws:
  `IOException`

### getActorType

public String getActorType()
`string actor_type = 1 [json_name = "actorType"];`

Specified by:
  `getActorType` in interface `DaprProtos.GetActorStateRequestOrBuilder`
Returns:
  The actorType.

### getActorTypeBytes

public com.google.protobuf.ByteString getActorTypeBytes()
`string actor_type = 1 [json_name = "actorType"];`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.GetActorStateRequestOrBuilder`
Returns:
  The bytes for actorType.

### setActorType

public DaprProtos.GetActorStateRequest.Builder setActorType(String value)
`string actor_type = 1 [json_name = "actorType"];`

Parameters:
  `value` - The actorType to set.
Returns:
  This builder for chaining.

### clearActorType

public DaprProtos.GetActorStateRequest.Builder clearActorType()
`string actor_type = 1 [json_name = "actorType"];`

Returns:
  This builder for chaining.

### setActorTypeBytes

public DaprProtos.GetActorStateRequest.Builder setActorTypeBytes(com.google.protobuf.ByteString value)
`string actor_type = 1 [json_name = "actorType"];`

Parameters:
  `value` - The bytes for actorType to set.
Returns:
  This builder for chaining.

### getActorId

public String getActorId()
`string actor_id = 2 [json_name = "actorId"];`

Specified by:
  `getActorId` in interface `DaprProtos.GetActorStateRequestOrBuilder`
Returns:
  The actorId.

### getActorIdBytes

public com.google.protobuf.ByteString getActorIdBytes()
`string actor_id = 2 [json_name = "actorId"];`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.GetActorStateRequestOrBuilder`
Returns:
  The bytes for actorId.

### setActorId

public DaprProtos.GetActorStateRequest.Builder setActorId(String value)
`string actor_id = 2 [json_name = "actorId"];`

Parameters:
  `value` - The actorId to set.
Returns:
  This builder for chaining.

### clearActorId

public DaprProtos.GetActorStateRequest.Builder clearActorId()
`string actor_id = 2 [json_name = "actorId"];`

Returns:
  This builder for chaining.

### setActorIdBytes

public DaprProtos.GetActorStateRequest.Builder setActorIdBytes(com.google.protobuf.ByteString value)
`string actor_id = 2 [json_name = "actorId"];`

Parameters:
  `value` - The bytes for actorId to set.
Returns:
  This builder for chaining.

### getKey

public String getKey()
`string key = 3;`

Specified by:
  `getKey` in interface `DaprProtos.GetActorStateRequestOrBuilder`
Returns:
  The key.

### getKeyBytes

public com.google.protobuf.ByteString getKeyBytes()
`string key = 3;`

Specified by:
  `getKeyBytes` in interface `DaprProtos.GetActorStateRequestOrBuilder`
Returns:
  The bytes for key.

### setKey

public DaprProtos.GetActorStateRequest.Builder setKey(String value)
`string key = 3;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

### clearKey

public DaprProtos.GetActorStateRequest.Builder clearKey()
`string key = 3;`

Returns:
  This builder for chaining.

### setKeyBytes

public DaprProtos.GetActorStateRequest.Builder setKeyBytes(com.google.protobuf.ByteString value)
`string key = 3;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.GetActorStateRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.GetActorStateRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetActorStateRequest.Builder>`